/*
 *  sci_ctl.h
 *  
 *	Copyright 2008-2009 
 *	Uchibori Laboratory, Numazu National College of Technology
 *	All rights reserved.
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, version 2 of the License.
 */

#ifndef _MG3_SCI_CTL_H
#define _MG3_SCI_CTL_H


#include <linux/ioctl.h>


//
// Error Code
//
// SCI error number
#define MG3_SCIERR_OVERRUN	0x02	// オーバーラン
#define MG3_SCIERR_PERITY	0x04	// パリティエラー
#define MG3_SCIERR_FEAME	0x08	// フレーミングエラー
#define MG3_SCIERR_BREAK	0x10	// ブレーク受信




//
// ioctl
//

#define SCI_IOCTL_TYPE	0xE2

// LSR中のエラーコードを取得する．
// エラーコードは戻り値で返される．
#define MG3_SCI_IOCGLSR 	_IO(SCI_IOCTL_TYPE, 129)

// LSR中のエラーコードをリセットする．
#define MG3_SCI_IOCCLSR 	_IO(SCI_IOCTL_TYPE, 130)

// デバイスをリセットする.
#define MG3_SCI_IOCRESET 	_IO(SCI_IOCTL_TYPE, 132)

// デバッグ用のメッセージを有効にする．
#define MG3_SCI_IOENDMSG 	_IO(SCI_IOCTL_TYPE, 142)

// デバッグ用のメッセージを無効にする．
#define MG3_SCI_IODSDMSG 	_IO(SCI_IOCTL_TYPE, 143)


//
// 他に
// 	TIOCSBRK	ブレーク信号送出
// 	TIOCCBRK	ブレーク信号停止
// 	TCFLSH  	バッファの破棄(TCIFLUSH, TCOFLUSH, TCIOFLUSH)
//  FIONREAD	入力バッファにあるバイト数
//  TIOCINQ 	同上
//  TIOCOUTQ	出力バッファにあるバイト数
// を行うことが可能
//



#endif // _MG3_SCI_CTL_H

