/*
 *  sci_ctl.h
 *  
 *	Copyright 2008-2009 
 *	Uchibori Laboratory, Numazu National College of Technology
 *	All rights reserved.
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, version 2 of the License.
 */

#ifndef _MG3_SCI_CONFIG_H
#define _MG3_SCI_CONFIG_H



// モジュール名
#define MG3_SCI_MODULE_NAME	"mg3_sci"


// FIFOバッファの大きさ(2のべき乗に切り上げられる)
#define MG3_SCI_FIFO_SIZE	16


// FIFOバッファからreadできるデータ数がこの値より多くなったら，
// 読み込みのためにデータ待ちをしているスレッドを"必ず"起こす．
#define MG3_SCI_RD_WAKEUP_MAX	(MG3_SCI_FIFO_SIZE / 2)


// FIFOバッファにwriteされている文字数がこの値以下になったら，
// 書き込みのためにバッファの空き待ちをしているスレッドを"必ず"起こす.
#define MG3_SCI_WR_WAKEUP_MIN	0


// I/Oアドレス
#define MG3_SCI0_IO_BASE	0x300
#define MG3_SCI1_IO_BASE	0x308
#define MG3_SCI_IO_SIZE 	4

// IRQ
#define MG3_SCI0_IRQ	5
#define MG3_SCI1_IRQ	7

// 割り込み処理ルーチン（ISR)の実行中，割り込みを禁止したい場合，
// 0以外の値を設定する．
#define MG3_SCI_BUSY	1


// デバイス番号
// 0の場合，自動割当
#define MG3_SCI_MAJOR	0

// デバイスファイルの名前 (/dev/****)
#define MG3_SCI_DEV_NAME	"mirS"

// デバイスのメジャー番号の数
#define MG3_SCI_DEV_N_MAJOR	1

// デバイスのマイナー番号の数 (SCIデバイスのポート数)
#define MG3_SCI_DEV_N_MINOR	2



#endif // _MG3_SCI_CONFIG_H

